#ifndef _CCode_H
#define _CCode_H
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

typedef struct TAG_SIMPLECIPHER{
	char *sKeyBuf;
	int iKeySz;
	int iKeyPos;
	int iKeyOffset;
} SIMPLECIPHER, *LPSIMPLECIPHER;

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

bool InitializeCryptography(LPSIMPLECIPHER lpSimpleCipher, char *sKeyBuf, int iKeySz);
bool DestroyCryptography(LPSIMPLECIPHER lpSimpleCipher);
bool Encode(LPSIMPLECIPHER lpSimpleCipher, char *sInBuf, char *sOutBuf, int iBufSz);
bool Decode(LPSIMPLECIPHER lpSimpleCipher, char *sInBuf, char *sOutBuf, int iBufSz);

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif
