#ifndef _IndexDir_H
#define _IndexDir_H
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#define AllocIncrement 10

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

typedef struct FilePackage_Info{
    char **FileNames;
    unsigned long FileCount;
} FILEPACKAGE, *LPFILEPACKAGE;

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

class FilePack{
    public:
        bool IndexDirectory(char *inFolder, LPFILEPACKAGE lpFilePackage);
		bool IndexDirectoryEx(char *inFolder, bool bRecursive, HWND hStatus, LPFILEPACKAGE lpFilePackage);
        bool Initialize(LPFILEPACKAGE lpFilePackage);
        void FreeMemory(LPFILEPACKAGE lpFilePackage);
		bool AddFile(char *inFolder, int RootLen, char *DirTemp, int DirLen, char *File, LPFILEPACKAGE lpFilePackage);

    private:
		bool IndexDirectoryInternal(char *inFolder, int RootLen, bool bRecursive, HWND hStatus, LPFILEPACKAGE lpFilePackage);
		unsigned long Allocs;

};

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif

